<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>Welcome to the Metark documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/epub.css" /> 
  </head><body>

    <div class="document">
      <div class="documentwrapper">
          <div class="body" role="main">
            
  <section id="welcome-to-the-metark-documentation">
<h1>Welcome to the Metark documentation</h1>
<p>The application can be accessed by clicking on the following link:
<a class="reference external" href="https://metark.france-bioinformatique.fr/">https://metark.france-bioinformatique.fr/</a> or by clicking
in the left-hand bar on the <code class="code docutils literal notranslate"><span class="pre">Back</span> <span class="pre">to</span> <span class="pre">Metark</span></code>.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>If any information is missing or unclear, please do not hesitate to please do
not hesitate to send us a feedback on the support address (<a class="reference external" href="mailto:support-metark&#37;&#52;&#48;groupes&#46;france">support-metark<span>&#64;</span>groupes<span>&#46;</span>france</a>).
We thank you in advance and will try to improve it as soon as possible.</p>
</div>
<section id="navigation">
<h2>Navigation</h2>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Overview</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="overview_objectifs.xhtml">Objectives</a><ul>
<li class="toctree-l2"><a class="reference internal" href="overview_objectifs.xhtml#why-metark">Why Metark ?</a></li>
<li class="toctree-l2"><a class="reference internal" href="overview_objectifs.xhtml#the-proposed-solution">The proposed solution</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="overview_points_forts.xhtml">Strengths of the project</a><ul>
<li class="toctree-l2"><a class="reference internal" href="overview_points_forts.xhtml#quality-controls">Quality controls</a></li>
<li class="toctree-l2"><a class="reference internal" href="overview_points_forts.xhtml#api">API</a></li>
<li class="toctree-l2"><a class="reference internal" href="overview_points_forts.xhtml#reproducibility">Reproducibility</a></li>
<li class="toctree-l2"><a class="reference internal" href="overview_points_forts.xhtml#open-source-technologies">Open source technologies</a></li>
</ul>
</li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Developer's Manual</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="dev_requirements.xhtml">Requirements</a><ul>
<li class="toctree-l2"><a class="reference internal" href="dev_requirements.xhtml#docker">Docker</a></li>
<li class="toctree-l2"><a class="reference internal" href="dev_requirements.xhtml#docker-compose">Docker-compose</a></li>
<li class="toctree-l2"><a class="reference internal" href="dev_requirements.xhtml#gitlab">GitLab</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="dev_django.xhtml">Django</a><ul>
<li class="toctree-l2"><a class="reference internal" href="dev_django.xhtml#create-a-new-app">Create a new app</a></li>
<li class="toctree-l2"><a class="reference internal" href="dev_django.xhtml#composition-of-a-django-application">Composition of a Django application</a></li>
<li class="toctree-l2"><a class="reference internal" href="dev_django.xhtml#make-migrations-in-database">Make migrations in database</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="dev_code_quality.xhtml">Code quality</a><ul>
<li class="toctree-l2"><a class="reference internal" href="dev_code_quality.xhtml#overview">Overview</a></li>
<li class="toctree-l2"><a class="reference internal" href="dev_code_quality.xhtml#coverage">Coverage</a></li>
<li class="toctree-l2"><a class="reference internal" href="dev_code_quality.xhtml#flake8">Flake8</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="dev_isa.xhtml">Application ISA</a><ul>
<li class="toctree-l2"><a class="reference internal" href="dev_isa.xhtml#how-to-add-an-api">How to add an API?</a></li>
<li class="toctree-l2"><a class="reference internal" href="dev_isa.xhtml#key-files-of-the-isa-application">Key files of the « ISA » application</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="dev_documentation.xhtml">Gestion de la documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="dev_documentation.xhtml#la-page-de-configuration">La page de configuration</a></li>
<li class="toctree-l2"><a class="reference internal" href="dev_documentation.xhtml#la-page-d-index">La page d’index</a></li>
<li class="toctree-l2"><a class="reference internal" href="dev_documentation.xhtml#les-pages-de-documentation">Les pages de documentation</a></li>
<li class="toctree-l2"><a class="reference internal" href="dev_documentation.xhtml#generer-les-pages-html">Générer les pages HTML</a></li>
</ul>
</li>
</ul>
</div>
</section>
</section>


            <div class="clearer"></div>
          </div>
      </div>
      <div class="clearer"></div>
    </div>
  </body>
</html>